
CoCoALib - Bug #1565

IsInRadical: gives "weird" error

19 Jan 2021 13:25 - John Abbott

Status: Closed Start date: 19 Jan 2021

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 2.51 hours

Target version: CoCoALib-0.99800 Spent time: 2.50 hours

Description

Specific example:

/**/ I := ideal(x^2,x-x);

/**/ IsInRadical(x,I);

--> ERROR: Value must be non-zero

--> [CoCoALib] SqFreeFactor

 

Probably caused by zero generator.

Related issues:

Related to CoCoALib - Slug #1569: IsInRadical too slow  (test-RadicalMembership) Closed 22 Jan 2021

Related to CoCoA-5 - Bug #1610: IsInRadical: some more little bugs Closed 27 Sep 2021

History

#1 - 19 Jan 2021 13:27 - John Abbott

Also get:

/**/ I := ideal(x-x);

/**/ IsInRadical(x,I);

--> ERROR: Value must be non-zero

--> [CoCoALib] SqFreeFactor

 

Not sure we want to change this: I was just a bit surprised that the int was not automaically promoted to RINGELEM

/**/ IsInRadical(0,J);

--> ERROR: Expecting type RINGELEM or IDEAL, but found type INT

--> IsInRadical(0,J);
#2 - 19 Jan 2021 14:03 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 50

I have modified RadicalHelpers in SparsePolyOps-RadicalMembership.C

Seems Ok now.   Still testing.

#3 - 22 Jan 2021 15:05 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 50 to 90

I have modified the code so that it avoid recomputing the "radical helpers".

All tests pass.  Will clean and then check in.

#4 - 22 Jan 2021 15:09 - John Abbott

- Related to Slug #1569: IsInRadical too slow  (test-RadicalMembership) added

#5 - 16 Sep 2021 12:49 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 2.51 h

Deleted the comment out cruft.  There is already a test in ex-bugs.C

Closing!

#6 - 27 Sep 2021 09:52 - Anna Maria Bigatti

- Related to Bug #1610: IsInRadical: some more little bugs added
